Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Class ZipFileOutput

    java.lang.Object
      com.jaspersoft.jasperserver.export.io.BaseExportOutput
          com.jaspersoft.jasperserver.export.io.ZipFileOutput

All Implemented Interfaces:
  ExportOutput

    public class ZipFileOutput

extends BaseExportOutput

Version:
  $Id: ZipFileOutput.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Nested Class Summary
`protected class` | `ZipFileOutput.EntryOutputStream`

Field Summary
`protected static java.lang.String` | `ZIP_ENTRY_DIR_SUFFIX`
`protected java.util.zip.ZipOutputStream` | `zipOut`

Constructor Summary
`ZipFileOutput(java.lang.String zipFile, int level)`

Method Summary
`void` | `close()`
`java.io.OutputStream` | `getFileOutputStream(java.lang.String path)`
`void` | `mkdir(java.lang.String path)`
`void` | `open()`

Methods inherited from class com.jaspersoft.jasperserver.export.io.BaseExportOutput
`getFileOutputStream, mkdir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZIP_ENTRY_DIR_SUFFIX

    protected static final java.lang.String ZIP_ENTRY_DIR_SUFFIX

See Also:
  Constant Field Values

### zipOut

    protected java.util.zip.ZipOutputStream zipOut

Constructor Detail

### ZipFileOutput

    public ZipFileOutput(java.lang.String zipFile,
                         int level)

Method Detail

### open

    public void open()

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFileOutputStream

    public java.io.OutputStream getFileOutputStream(java.lang.String path)
                                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### mkdir

    public void mkdir(java.lang.String path)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.